RTPDuplex(3)

NAME
RTPDuplex - RTP peer host over UDP.

SYNOPSIS

#include <cc++/rtp.h>

Inherits RTPDataQueue, UDPReceive, and UDPTransmit.

  Public Member Functions

RTPDuplex (const InetAddress &bind, tpport_t local, tpport_t remote)
virtual ~RTPDuplex ()
UDPTransmit::Error connect (const InetHostAddress &host, tpport_t port=0)

  Protected Member Functions

bool isPendingData (microtimeout_t timeout)
size_t sendData (const unsigned char *const buffer, size_t len)
size_t recvData (unsigned char *buffer, size_t len, InetHostAddress &na, tpport_t &tp)
void setDataPeer (const InetAddress &, tpport_t)
void setControlPeer (const InetAddress &, tpport_t)
size_t getNextDataPacketSize () const
SyncSource & getPeer ()

  Additional Inherited Members

Detailed Description

RTP peer host over UDP.

A peer associated RTP socket pair for physically connected peer hosts. This has no RTCP and assumes the receiver is connected to a known transmitter, hence no 'foreign' packets will arrive.

Author
    David Sugar

Examples
rtpduphello.cpp.

Author

Generated automatically by Doxygen for ccRTP from the source code.